

#   Package for VME access using the CAEN V1718 USB2 or V2718 PCI interfaces

set PACKAGE CAENVx718
set VERSION 1.0

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE Win [set PACKAGE].dll]]
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
           {puts stderr "Package $PACKAGE is not available for SunOS"}
   }
   Linux {
       switch $tcl_platform(machine) {
           x86_64 {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE Linux64 lib[set PACKAGE].so]]
           }
           i686 -
           intel {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE Linux lib[set PACKAGE].so]]
           }
           ppc {
               package ifneeded $PACKAGE $VERSION  \
                   {puts stderr "Package $PACKAGE is not available for Linux on PPC"}
           }
           default {"unknown or unsupported machine - $tcl_platform(machine)"}
       }
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

